Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Priority_Mapping_Manager_out Class Reference

`#include <Priority_Mapping_Manager.h>`

Collaboration diagram for TAO_Priority_Mapping_Manager_out:

[legend]
List of all members.

## Public Methods
| TAO_Priority_Mapping_Manager_out (TAO_Priority_Mapping_Manager_ptr &)
| TAO_Priority_Mapping_Manager_out (TAO_Priority_Mapping_Manager_var &)
| TAO_Priority_Mapping_Manager_out (const TAO_Priority_Mapping_Manager_out &)
TAO_Priority_Mapping_Manager_out & | operator= (const TAO_Priority_Mapping_Manager_out &)
TAO_Priority_Mapping_Manager_out & | operator= (const TAO_Priority_Mapping_Manager_var &)
TAO_Priority_Mapping_Manager_out & | operator= (TAO_Priority_Mapping_Manager_ptr)
| operator TAO_Priority_Mapping_Manager_ptr & ()
TAO_Priority_Mapping_Manager_ptr & | ptr (void)
TAO_Priority_Mapping_Manager_ptr | operator-> (void)
## Private Attributes
TAO_Priority_Mapping_Manager_ptr & | ptr_

## Constructor & Destructor Documentation

ACE_INLINE TAO_Priority_Mapping_Manager_out::TAO_Priority_Mapping_Manager_out | ( | TAO_Priority_Mapping_Manager_ptr & |  | ) |

ACE_INLINE TAO_Priority_Mapping_Manager_out::TAO_Priority_Mapping_Manager_out | ( | TAO_Priority_Mapping_Manager_var & |  | ) |

TAO_Priority_Mapping_Manager_out::TAO_Priority_Mapping_Manager_out | ( | const TAO_Priority_Mapping_Manager_out & |  | ) |

## Member Function Documentation

TAO_Priority_Mapping_Manager_out::operator TAO_Priority_Mapping_Manager_ptr & | ( |  | ) |

ACE_INLINE::TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager_out::operator-> | ( | void |  | ) |

ACE_INLINE TAO_Priority_Mapping_Manager_out & TAO_Priority_Mapping_Manager_out::operator= | ( | TAO_Priority_Mapping_Manager_ptr |  | ) |

TAO_Priority_Mapping_Manager_out& TAO_Priority_Mapping_Manager_out::operator= | ( | const TAO_Priority_Mapping_Manager_var & |  | ) |

TAO_Priority_Mapping_Manager_out& TAO_Priority_Mapping_Manager_out::operator= | ( | const TAO_Priority_Mapping_Manager_out & |  | ) |

ACE_INLINE::TAO_Priority_Mapping_Manager_ptr & TAO_Priority_Mapping_Manager_out::ptr | ( | void |  | ) |

## Member Data Documentation

TAO_Priority_Mapping_Manager_ptr& TAO_Priority_Mapping_Manager_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- Priority_Mapping_Manager.h
- Priority_Mapping_Manager.i